;;;; Python configuration.
(use-package jupyter
    :ensure t)
(use-package ein
    :ensure t)
(use-package py-autopep8
    :ensure t)
(use-package yasnippet
    :ensure t)
(use-package jedi
    :ensure t)
(use-package elpy
    :ensure t
    :init
    (elpy-enable)
    :bind
    ("M-." . jedi:goto-definition)
    ("M-," . jedi:goto-definition-pop-marker)
    :config
    (setq python-shell-interpreter "jupyter"
          python-indent-offset 4
          python-shell-interpreter-args "console --simple-prompt"
          python-shell-prompt-detect-failure-warning nil)
    ;; Use IPython for REPL
    (add-to-list 'python-shell-completion-native-disabled-interpreters
                 "jupyter")
    :hook
    (elpy-mode . py-autopep8-enable-on-save)
    (elpy-mode . flycheck-mode)
    (elpy-mode . jedi:setup)
    (elpy-mode . jedi:ac-setup))

(provide 'jenga-python)
